Skip to main content
GET
/
v1
/
api_keys
/
{id}
Retrieve an API Key
curl --request GET \
  --url https://api.leanrails.com/v1/api_keys/{id} \
  --header 'Authorization: Basic <encoded-value>'
{
  "id": "key_xxx",
  "object": "api_key",
  "merchant_id": "<string>",
  "name": "<string>",
  "prefix": "<string>",
  "type": "secret",
  "livemode": true,
  "created": 123,
  "last_used_at": 123,
  "revoked_at": 123
}

Documentation Index

Fetch the complete documentation index at: https://docs.fluveo.com/llms.txt

Use this file to discover all available pages before exploring further.

Authorizations

Authorization
string
header
required

Use your secret API key as the username with an empty password.

Headers

X-API-Version
string

Override the API version for this request.

Path Parameters

id
string
required

The API Key ID.

Response

The API Key.

id
string
required
Example:

"key_xxx"

object
enum<string>
required
Available options:
api_key
merchant_id
string
required
name
string
required
prefix
string
required

First 12 characters of the key for identification.

type
enum<string>
required
Available options:
secret,
publishable
livemode
boolean
required
created
integer
required

Unix timestamp.

last_used_at
integer | null

Unix timestamp of last use.

revoked_at
integer | null

Unix timestamp of revocation.